#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: haveagitgat/tdarr
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://hub.docker.com/r/haveagitgat/tdarr) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- tdarr web UI listening port (same as Service port)
  webUIPort: "{{ .Values.service.main.ports.http.port }}"
  # -- tdarr server binding address
  serverIP: 0.0.0.0
  # -- tdarr server listening port
  serverPort: "{{ .Values.service.main.ports.server.port }}"
  # -- Allow override for the pre-compiled tdarr ffmpeg binary
  ffmpegPath: ""
  # -- Set the container user id
  PUID: "1000"
  # -- Set the container group id
  PGID: "1000"

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 8265
      server:
        enabled: true
        protocol: TCP
        port: 8266

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

node:
  # -- Deploy a tdarr node.
  enabled: true
  # -- Node ID
  id: node
  image:
    # -- image repository
    repository: haveagitgat/tdarr_node
    # -- image tag
    tag: 2.00.10
    # -- image pull policy
    pullPolicy: IfNotPresent
  # -- Node resources
  resources: {}

# -- Configure persistence settings for the chart under this key.
# @default -- See below
persistence:
  # -- Volume used for configuration
  # @default -- See values.yaml
  config:
    enabled: false
    mountPath: /app/configs

  # -- Volume used for tdarr server database
  # @default -- See values.yaml
  data:
    enabled: false
    mountPath: /app/server

  # -- Volume used for media libraries
  # @default -- See values.yaml
  media:
    enabled: false
    mountPath: /media

  # -- Volume used for shared storage. e.g. emptydir transcode
  # @default -- See values.yaml
  shared:
    enabled: false
    mountPath: /shared
